Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence
Class PersistenceProductDerivation.ConfigurationParser

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.openjpa.lib.meta.XMLMetaDataParser
              org.apache.openjpa.persistence.PersistenceProductDerivation.ConfigurationParser

All Implemented Interfaces:
  MetaDataParser, ContentHandler, DTDHandler, EntityResolver, ErrorHandler, LexicalHandler

Enclosing class:
  PersistenceProductDerivation

    public static class PersistenceProductDerivation.ConfigurationParser

extends XMLMetaDataParser

SAX handler capable of parsing an JPA persistence.xml file. Package-protected for testing.

Field Summary

Fields inherited from class org.apache.openjpa.lib.meta.XMLMetaDataParser
`_extendedNamespace, _openjpaNamespace`

Constructor Summary
`PersistenceProductDerivation.ConfigurationParser(Map map)`

Method Summary
`protected void` | `endElement(String name)` Override this method marking the end of some element.
`protected Object` | `getSchemaSource()` Implement to return the XML schema source for the document.
`void` | `parse(File file)` Parse the given file, which may be a directory, in which case it will be scanned recursively for metadata files.
`void` | `parse(URL url)` Parse the given resource.
`protected void` | `reset()` Override this method to clear any state and ready the parser for a new document.
`protected boolean` | `startElement(String name, Attributes attrs)` Override this method marking the start of some element.

Methods inherited from class org.apache.openjpa.lib.meta.XMLMetaDataParser
`addComments, addResult, characters, clear, clearDeferredMetaData, comment, currentClassLoader, currentComments, currentDepth, currentLocation, currentText, endCDATA, endDTD, endElement, endEntity, error, fatalError, finish, getClassLoader, getDocType, getException, getException, getException, getLexicalHandler, getLocation, getLog, getOverrideContextClassloader, getParseComments, getParseText, getResults, getSourceFile, getSourceIsSystemId, getSourceName, getSuffix, ignoreContent, isCaching, isParsing, isValidating, parse, parse, parse, parse, parsed, parseNewResource, setCaching, setClassLoader, setDocumentLocator, setLexicalHandler, setLocation, setLog, setOverrideContextClassloader, setParseComments, setParseText, setParsing, setSourceIsSystemId, setSuffix, setValidating, startCDATA, startDTD, startElement, startEntity`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceProductDerivation.ConfigurationParser

    public PersistenceProductDerivation.ConfigurationParser(Map map)

Method Detail

### parse

    public void parse(URL url)
               throws IOException

  Description copied from interface: `MetaDataParser`
  Parse the given resource.

  Specified by:
    `parse` in interface `MetaDataParser`
  Overrides:
    `parse` in class `XMLMetaDataParser`
  Throws:
    `IOException`

### parse

    public void parse(File file)
               throws IOException

  Description copied from interface: `MetaDataParser`
  Parse the given file, which may be a directory, in which case it will be scanned recursively for metadata files.

  Specified by:
    `parse` in interface `MetaDataParser`
  Overrides:
    `parse` in class `XMLMetaDataParser`
  Throws:
    `IOException`

### getSchemaSource

    protected Object getSchemaSource()

  Description copied from class: `XMLMetaDataParser`
  Implement to return the XML schema source for the document. Returns null by default. May return:
  - `String` pointing to schema URI.
  - `InputStream` containing schema contents.
  - `InputSource` containing schema contents.
  - `File` containing schema contents.
  - Array of any of the above elements.

  Overrides:
    `getSchemaSource` in class `XMLMetaDataParser`

### reset

    protected void reset()

  Description copied from class: `XMLMetaDataParser`
  Override this method to clear any state and ready the parser for a new document. Subclasses should call `super.reset()` to clear superclass state.

  Overrides:
    `reset` in class `XMLMetaDataParser`

### startElement

    protected boolean startElement(String name,
                                   Attributes attrs)
                            throws SAXException

  Description copied from class: `XMLMetaDataParser`
  Override this method marking the start of some element. If this method returns false, the content of the element and the end element event will be ignored.

  Specified by:
    `startElement` in class `XMLMetaDataParser`
  Throws:
    `SAXException`

### endElement

    protected void endElement(String name)
                       throws SAXException

  Description copied from class: `XMLMetaDataParser`
  Override this method marking the end of some element.

  Specified by:
    `endElement` in class `XMLMetaDataParser`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.